std::is_placeholder< _Tp > Struct Template Reference
Utilities » Function Objects » Binder Classes

`#include <functional>`

Inheritance diagram for std::is_placeholder< _Tp >:
[legend]

## Public Types

typedef integral_constant< int, __v > | type
typedef int | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr int | value

## Detailed Description

template<typename _Tp>
struct std::is_placeholder< _Tp >

Determines if the given type _Tp is a placeholder in a bind() expression and, if so, which placeholder it is.

C++11 [func.bind.isplace].

Since
  C++11

Definition at line 263 of file functional.

## Member Typedef Documentation

## type

typedef integral_constant<int , __v> std::integral_constant< int , __v >::type

inherited

Definition at line 66 of file type_traits.

## value_type

typedef int std::integral_constant< int , __v >::value_type

inherited

Definition at line 65 of file type_traits.

## Member Function Documentation

## operator value_type()

constexpr std::integral_constant< int , __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 67 of file type_traits.

## operator()()

constexpr value_type std::integral_constant< int , __v >::operator() | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 72 of file type_traits.

## Member Data Documentation

## value

constexpr int std::integral_constant< int , __v >::value

static constexpr inherited

Definition at line 64 of file type_traits.

The documentation for this struct was generated from the following file:

- functional